﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.

define e = Character("Eileen")
define c = Character ("Cindel", color="#c5f571")
define s = Character ("Splattershot")

image Cindel animated:
    "cindel_main"
    pause 2
    "cindel_blink"
    pause .5
    repeat

transform center_float:
    xalign .5 yalign .5
    linear 1.0 xalign .5 yalign .6
    linear 1.0 xalign .5 yalign .4
    linear 1.0 xalign .5 yalign .5
    repeat

transform left_float:
    xalign .2 yalign .5
    linear 1.0 xalign .2 yalign .6
    linear 1.0 xalign .2 yalign .4
    linear 1.0 xalign .2 yalign .5
    repeat

transform far_left_float:
    xalign .1 yalign .3
    linear 1.0 xalign .1 yalign .4
    linear 1.0 xalign .1 yalign .2
    linear 1.0 xalign .1 yalign .3
    repeat

transform mid_left:
    xalign .1 yalign .5

transform mid_right:
    xalign .9 yalign .5

transform hand1:
    xalign .1 yalign .05

transform hand2:
    xalign .3 yalign .05

transform hand3:
    xalign .5 yalign .05

transform hand4:
    xalign .7 yalign .05

transform hand5:
    xalign .9 yalign .05

transform hand6:
    xalign .1 yalign .6

transform hand7:
    xalign .3 yalign .6

transform hand8:
    xalign .5 yalign .6
    
transform spotlightlow:
    xalign .5 yalign .6

image pxentangle ="minions/px_entangle.png"
image pxbeezooka ="minions/px_beezooka.png"
image pxshade ="minions/px_shade.png"
image pxstrike ="minions/px_magicstrike.png"
image pxpackrats ="minions/px_packrats.png"
image pxmirage ="minions/px_mirage.png"
image watchtower = im.Scale("minions/gr_watchtower.png", 179, 250)
image bewitch = im.Scale("minions/px_bewitchsm.png", 179, 250)
image glub = im.Scale("minions/gr_glub.png", 179, 250)
image ganksterz = im.Scale("minions/gr_ganksterz.png", 179, 250)
image smoglings = im.Scale("minions/gr_smoglings.png", 179, 250)
image smogfrog = im.Scale("minions/gr_smogfrog.png", 179, 250)
image mirage = im.Scale("minions/px_mirage.png", 179, 250)
image ranger = im.Scale("minions/px_rangers.png", 179, 250)
image trickster = im.Scale("minions/px_trickster.png", 179, 250)
image scout = im.Scale("minions/px_scout.png", 179, 250)
image entangle = im.Scale("minions/px_entangle.png", 179, 250)
image grengineer = im.Scale("minions/gr_grengineer.png", 179, 250)
image shroomkin = im.Scale("minions/px_shroomkin.png", 179, 250)
image shade = im.Scale("minions/px_shade.png", 179, 250)
image strike = im.Scale("minions/px_magicstrike.png", 179, 250)
image packrats = im.Scale("minions/px_packrats.png", 179, 250)
image nymph = im.Scale("minions/px_nymph.png", 179, 250)
image blink = im.Scale("minions/px_blink.png", 179, 250)
image wytch = im.Scale("minions/px_wytch.png", 179, 250)
image cardback = im.Scale("minions/pvg_back.png", 179, 250)
image rune1 = im.Scale("runecards/trufflevale.png", 250, 179)
image rune2 = im.Scale("runecards/tanglethorn.png", 250, 179)
image rune3 = im.Scale("runecards/arcamech.png", 250, 179)
image rune4 = im.Scale("runecards/hive.png", 250, 179)

# The game starts here.

label start:
    play music "plumfairy.mp3"

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene mushroom_forest

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.

    show Cindel animated at center_float

    # These display lines of dialogue.

    c "Oh, hey there tall one! I'm Cindel: a Pixie Trickster."
    
    c "Looks like I was chosen to help teach you how to play Anklebiters - Pixies VS Gremlins."
    
    c "That's good news for you though, otherwise you might have been stuck listening to a Gremlin..."
    
    show Cindel animated at left_float
    with move
    show gremlin_main at right
    with vpunch
    
    s "Hurhur! Dey can kom to me wen redy fer d'avanced tacktik lerningz!  Stooopid pixy, I probly smuuush you laterz!"
    
    show gremlin_main:
        xalign 2.0 yalign .5
    with move
    
    show Cindel animated at center_float
    with move
    
    c "...as you can see they're a little hard to understand.  So, should we get started?"    
    
    menu:
        "Yeah! I'm ready.":
            jump ready
        "Maybe later...":
            jump later
        
    
    label later:
        
    c "Come back when you're ready!"
    
    jump end
    
    label ready:

    c "Great! I'll help guide you through the steps to play the game."    
    
    c "For this scenario we'll be playing as my favourite faction, the prestigious and potent pixies... naturally!"
    
    c "First we'll have to get things set up. To do that we need to grab the magic rune cards and sort them."
    
    c "For a 2 player game, go through the magic rune deck and pull out one of each unique rune location.  After, there should be no doubles left in the deck."
    
    c "Give the remaining cards a shuffle, then draw the top 3 cards and place them in the middle of the play area side by side."
    
    scene wood_texture
    
    show tanglethorn at truecenter

    show trufflevale at mid_left

    show arcamech at mid_right

    c "It should end up looking something like this."
    
    c "Now that we have our starting rune locations on the table, it's time for each player to draw their hand."
    
    scene drawhandbg
    
    c "...Not that kind of hand!  I meant to draw cards from the Faction Deck of course!"
    
    scene wood_texture
    
    show drawhand at truecenter
    
    show Cindel animated at far_left_float
    
    c "Each player draws 8 cards from their deck."
    
    c "We need to figure out who goes first. Rolling dice or flipping a coin are good ways to do that."
    
    c "It looks like the Gremlin player will be going first in this game. They'll get to deploy the first minion in the {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase{/a} - Which is the next step."
    
    scene wood_texture
    
    show deployment at truecenter zorder 11:
    with dissolve
    pause 0.5
    
    show rune2 at truecenter
    show rune3 at mid_right
    show rune1 at mid_left
    with dissolve
    
    c "Now we begin the {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase.{/a}"
    
    show cardback as grem1:
        xalign .5 yalign -.3
        linear 1.0 xalign .5 yalign .1

    hide deployment
    with dissolve
    
    c "The Gremlins deploy a minion to the Tanglethorn rune."
    
    c "Notice the minion card is face down.  Minions are always played facedown in the {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase.{/a}"
    
    c "Now it's our turn to deploy a minion. Each player is allowed one deployment per turn in this phase, and we each get 3 turns."
    
    scene wood_texture
    
    show ranger at hand1
    show trickster at hand2
    show scout at hand3
    show entangle at hand4
    show strike at hand5
    show nymph at hand6
    show blink at hand7
    show wytch at hand8
    
    c "Let's see what our hand looks like."
    
    c "Since this is the {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase{/a}, we won't be using our spells or traps just yet."
    
    hide blink
    with dissolve
    hide strike
    with dissolve
    hide entangle
    with dissolve
    
    c "That leaves us with five {a=http://www.anklebitersgame.com/rules.php#minions}minion cards{/a}, of which we'll be able to deploy three this round."
    
    c "Let's look at those rune locations again."
    
    scene wood_texture
    
    show tanglethorn at truecenter

    show trufflevale at mid_left

    show arcamech at mid_right
    
    c "In order to capture the rune locations we need to meet or exceed their power levels and have at least one matching {a=http://www.anklebitersgame.com/rules.php#abilities}ability.{/a}"
    
    c "The power level is the number in white on the rune locations and the number on the bottom left of our {a=http://www.anklebitersgame.com/rules.php#minions}minion cards{/a}."
    
    scene wood_texture   
    show ranger at hand1
    show trickster at hand2
    show scout at hand3
    show nymph at hand4
    show wytch at hand5
    
    show trufflevale at spotlightlow
    
    c "For the Trufflevale rune we'll need 8 power and the {b}support{/b} or {b}mobile{/b} {a=http://www.anklebitersgame.com/rules.php#abilities}abilities.{/a}"
    
    c "We don't have any minions with support, but our Ranger has {b}mobile{/b} covered."
    
    hide trufflevale
    show tanglethorn at spotlightlow
    with pixellate
    
    c "For the Tanglethorn rune we need 8 power as well and the {b}stealth{/b} or {b}perceptive{/b} {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a}."
    
    c "We have 3 minions that could cover those {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a}: The Ranger, Trickster and the Mouse Scout."
    
    c "I'm pretty confident about trying to capture Tanglethorn, but let's look at the final rune location."
    
    hide tanglethorn
    
    show arcamech at spotlightlow
    with pixellate
    
    c "The Arcamech rune only needs 7 power to capture but also limits us to one matching {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}."
    
    c "Luckily for us though our Nymph, Wytch and Trickster are all magic casters."
    
    c "This gives us another 3 minions with potential to capture the Arcamech."
    
    c "We have two really good options available to us! The Gremlin player has been waiting awhile, so let's deploy a minion."
    
    scene wood_texture
    
    show rune2 at truecenter
    show rune3 at mid_right
    show rune1 at mid_left
    
    show cardback as pix1:
        xalign .88 yalign 1.1
        linear 1.0 xalign .88 yalign .9        
    
    show cardback as grem1:
        xalign .5 yalign .1
    
    
    c "I decided to play our Wytch at the Arcamech.  I'll have to remember though because the card is face down {a=http://www.anklebitersgame.com/rules.php#terms}{i}(fatigued).{/i}{/a}"
    
    c "Of course if you do forget during a game, you're allowed to peek at your own cards."
    
    c "After deploying a minion, we end our turn and draw a card. You can always draw back up to 8 cards at the end of your turn. The new card might also change what we want to play next turn."
    
    show fader at truecenter zorder 12:
    with dissolve
    
    show pxmirage at truecenter zorder 13:
    with dissolve

    c "We got a Mirage {a=http://www.anklebitersgame.com/rules.php#actioncards}action card{/a}, it might come in handy later."
    
    hide pxmirage
    hide fader
    with dissolve
    
    show cardback as grem2:
        xalign .12 yalign -.2
        linear 1.0 xalign .12 yalign .1          
 
    c "The Gremlin player deploys another minion, back to us."
    
    show cardback as pix2:
        xalign .5 yalign 1.1
        linear 1.0 xalign .5 yalign .9      
    
    c "This time I decide to deploy the Trickster to the Tanglewood rune, I don't want to commit too much to any one location too early."
    
    c "I draw another card and end my turn."
    
    show fader at truecenter zorder 12:
    with dissolve
    
    show pxpackrats at truecenter zorder 13:
    with dissolve
    
    c "We got a minion this time, some Packrats.  I'm not sure we'll use them this round though."
    
    hide pxpackrats
    hide fader
    with dissolve
    
    show cardback as grem3:
        xalign .12 yalign -.2
        linear 1.0 xalign .12 yalign .01      
    
    c "The Gremlin player deploys their final minion."
    
    c "They decided to commit a second minion to the Trufflevale rune."
    
    c "Even though we can deploy up to 3 minions in this phase, 2 is the maximum we're allowed to deploy at a single rune location.  That shouldn't be a problem for us."
    
    c "Since the Gremlin player has finished deploying we're given a little advantage by going second."
    
    c "We get the final play. We know there's no gremlins at the Arcamech and if we're lucky we might be able to capture it."
    
    c "I decide to deploy our Rangers to the Arcamech.  We don't need the magic {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} because we already have a Wytch there. The Rangers are mobile too, so we can move them easily if need be."

    show cardback as pix3:
        xalign .88 yalign 1.1
        linear 1.0 xalign .88 yalign .97  
    
    c "Time to draw another card."
    
    show fader at truecenter zorder 12:
    with dissolve    
    
    show pxshade at truecenter zorder 13:
    with dissolve
    
    c "We got a Shade! That's a pretty powerful minion, unfortunately we can't deploy her until the next {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase{/a}."
    
    hide pxshade
    hide fader
    with dissolve
    
    c "Now that everyone has finished deploying it's time to move on to the {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a}."
    
    show actionphase at truecenter zorder 11:
    with dissolve
    show ranger as pix3 behind pix1
    with dissolve
    show trickster as pix2
    with dissolve
    show wytch as pix1
    with dissolve
    show smoglings as grem3
    with dissolve
    show ganksterz as grem2
    with dissolve
    show smogfrog as grem1
    with dissolve
    
    c "At the start of the {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a} each player flips their deployed minion cards over."
    
    hide actionphase
    with dissolve
    
    c "Since we're going second for this round, the Gremlin player gets the first move."
    
    c "The Gremlins can't attack us with their Smoglings and while their Ganksterz can attack and even move for {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a}, they don't have the strength to defeat anything."
    
    c "The Smogfrogs on the other hand are bad news for us.  Smogfrogs are mobile and can make range attacks."
    
    c "Because our Trickster has the stealth {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}, the Smogfrogs can't attack her. But as a range attacker and mobile the Smogfrogs could reach our Wytch or Ranger this turn."
    
    show smogfrog as grem1:
        xalign .88 yalign .1
    with move
    
    c "Which is exactly what the Gremlin player decides to do.  The Gremlins spend {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} to move the Smogfrog to the Arcamech.  Then spend their remaining {a=http://www.anklebitersgame.com/rules.php#actions}AP{/a} to attack our Rangers."
    
    show smogfrog as grem1:
        xalign .88 yalign .5
    with move
    
    show atkcloud:
        xalign .92 yalign .7
    with dissolve
    with vpunch
    
    c "Ouch! With our Rangers defeated, we now place them in our discard pile."
    
    hide atkcloud
    with dissolve
    hide pix3
    with dissolve
    
    show smogfrog as grem1:
        xalign .88 yalign .1
    with move    
    
    c "The Smogfrogs could have defeated our Wytch instead, if they wanted.  Because the Wytch can fly, only other flying or ranged minions can attack her."
    
    c "Range and flying minions are less common than other minions for the Gremlins, so taking her out now could have been a good idea."
    
    c "But, since our Wytch can't attack and our Ranger could, the Gremlin player decided to take out the largest threat first."
    
    c "With our Rangers defeated and our Wytch unable to make attacks, we need to find another way to deal with those Smogfrogs or our Wytch will likely follow our Ranger's fate next turn."
    
    c "Lucky for us we have a way to fight back!"
    
    show fader at truecenter zorder 12:
    with dissolve 
    
    show pxstrike at truecenter zorder 13:
    with dissolve
    
    c "Remember those action cards we set aside in the {a=http://www.anklebitersgame.com/rules.php#deploymentphase}Deployment phase{/a}? Now it's time to use them!"
    
    c "Our Wytch may not be able to attack.  But she can definitely cast spells like Magic Strike!"
    
    c "Magic Strike reads: Choose a casting source then:  Deal X Magic {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} damage to a minion."
    
    c "A casting source must have the magic {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}.  Both our Wytch and Trickster have it, but we'll want our source to be the Wytch."
    
    c "The Wytch's magic level is 3 as indicated on top her magic {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} symbol.  That means the X variable from the Magic Strike card is resolved as 3 damage."
    
    c "Magic Strike lets us target an enemy minion.  Spells can only be used on targets at the same location as the caster unless specified otherwise."
    
    c "Since the Smogfrog is at the same rune location as the Wytch, it is an acceptable target."
    
    hide pxstrike
    hide fader
    with dissolve
    
    show strike:
        xalign .88 yalign .1
        rotate 45
    
    c "So we play Magic Strike using our Wytch while targeting the Smogfrog. This deals 3 damage to it. The Smogfrog only has 2 health, so he's defeated!"
    
    hide strike
    with dissolve
    hide grem1
    with dissolve
    
    c "Magic Strike was a one time use. Now that it has been resolved, it gets placed in our discard pile. The defeated Smogfrog goes into the Gremlin's discard pile."
    
    c "Playing Magic Strike only cost us {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} of our {a=http://www.anklebitersgame.com/rules.php#actions}2AP{/a} total."
    
    c "We don't have enough {a=http://www.anklebitersgame.com/rules.php#actions}AP{/a} left to do anything with our minions.  We could play our trap if we wanted, or even the Mirage card.  But I'd rather hang on to those for now."
    
    show fader at truecenter zorder 12:
    with dissolve     
    
    show pxbeezooka at truecenter zorder 13:
    with dissolve
    
    c "With nothing else to do, we draw a card and end our turn.  We got a Beezooka minion, now we have a minion with the support {a=http://www.anklebitersgame.com/rules.php#abilities}ability!{/a}"
    
    hide pxbeezooka
    hide fader
    with dissolve
    
    c "Not always having something to do is pretty common in the first round of the game.  But once we start getting more minions on the table that won't happen as often."

    c "Now the Gremlins get their second and last turn in the {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a}."
    
    show ganksterz as grem2:
        xalign .5 yalign .1
    with move
    
    c "They decide to move their Ganksterz to Tanglethorn for {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a}.  Normally moving a minion cost {a=http://www.anklebitersgame.com/rules.php#actions}2AP{/a}, but the mobile {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} reduces the cost to 1."
    
    c "The Ganksterz aren't able to see our Trickster because of her stealth {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}.  But even if they could, with an attack power of 1 they're not strong enough to defeat her."
    
    c "The Ganksterz do have stealth themselves; a requirement for the Tanglethorn rune.  This play is probably setting up for the future."
    
    show fader at truecenter zorder 12:
    with dissolve 
    
    show gr_canimole at truecenter zorder 13:
    with dissolve
    
    c "With their remaining {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} the Gremlins play an {a=http://www.anklebitersgame.com/rules.php#actioncards}action card{/a} {i}'Canimole.'{/i}  Canimole allows them to move a minion to another rune location."
    
    hide gr_canimole
    hide fader
    with dissolve
    
    show smoglings as grem3:
        xalign .5 yalign .01
    with move
    
    c "They decide to move the Smoglings to Tanglethorn as well.  That ends their turn."
    
    c "Now we get our final turn in this round's {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a}. Since both the remaining gremlin minions have stealth, we aren't able to attack either of them with our Trickster."
    
    c "If only we had a way to get around that stealth {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}... {i}Hmmm...{/i} maybe we do!"
    
    show fader at truecenter zorder 12:
    with dissolve     
    
    show pxentangle at truecenter zorder 13:
    with dissolve
    
    c "We still have that Entanglement card in our hand!"
    
    c "At first glance it may not seem all that useful in this situation.  The key is in the {a=http://www.anklebitersgame.com/rules.php#terms}Disable{/a} condition."
    
    c "While a minion is disabled they can't attack or move, their power is reduced to 0 and all their {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a} are {a=http://www.anklebitersgame.com/rules.php#terms}suppressed{/a}."  
    
    c "That means if we play Entanglement on one of the gremlin's minions, their stealth {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} would be {a=http://www.anklebitersgame.com/rules.php#terms}suppressed{/a} and we could then target them for an attack with our Trickster!"
    
    c "So as our first action we play the Trap card Entanglement on the Smoglings.  This costs us {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a}, so we have another {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} remaining."
    
    hide pxentangle
    hide fader
    with dissolve
    
    show entangle:
        xalign .5 yalign .02
        rotate 45
    with dissolve
    
    c "Entanglement is an {a=http://www.anklebitersgame.com/rules.php#actioncards}Ongoing{/a} effect. That means it stays in play until it's either removed by another card or the condition of the card is no longer met."
    
    c "The condition for Entanglement is an enemy minion.  In our case that's the Smoglings."
    
    c "{a=http://www.anklebitersgame.com/rules.php#actioncards}Ongoing{/a} cards should be placed on top, or side by side the condition of their effect.  Because these cards remain into following turns it's important to remember what they're effecting."
    
    c "In this case however our Entanglement card won't be sticking around long.  Since the Smoglings are now vulnerable we can attack them with our Trickster, spending our last {a=http://www.anklebitersgame.com/rules.php#actions}AP.{/a}"
    
    show trickster as pix2 zorder 10:
        xalign .5 yalign .2
    with move
    
    show atkcloud zorder 11:
        xalign .5 yalign .15
    with dissolve
    with vpunch
    
    hide grem3
    with dissolve
    
    hide atkcloud
    with dissolve
    
    hide entangle
    with dissolve
    
    show trickster as pix2:
        xalign .5 yalign .9
    with move
    
    
    c "With an attack power of 3, our Trickster easily defeats the gremlin Smoglings."
    
    c "Since the condition for our Entanglement -- the Smoglings -- are now gone, our Entanglement card is also discarded."
    
    c "Now out of {a=http://www.anklebitersgame.com/rules.php#actions}AP{/a}, we finish our turn and draw a card."

    show fader at truecenter zorder 12:
    with dissolve 

    show px_shroomkin at truecenter zorder 13:
    with dissolve
    
    c "We got the Shroomkin minion, a {a=http://www.anklebitersgame.com/rules.php#defensive}defender!{/a} We can put them to good use during the next deployment."
    
    hide px_shroomkin
    hide fader
    with dissolve
    
    c "This wraps up the {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a}. We move on to the {a=http://www.anklebitersgame.com/rules.php#capturephase}Capture phase{/a} next."
    
    show capturephase at truecenter
    with dissolve
    
    c "Since neither of us meet the requirements to capture any rune locations in this {a=http://www.anklebitersgame.com/rules.php#capturephase}Capture phase{/a}, we simply continue on to the next {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase{/a}."
    
    hide capturephase
    with dissolve
    
    show deployment at truecenter
    with dissolve
    
    c "Each new round we alternate turns, so this time we get to go first!"
    
    hide deployment
    with dissolve
    
    show cardback as pix3:
        xalign .88 yalign 1.1
        linear 1.0 xalign .88 yalign .97      
    
    c "I decide to play the Shade we got earlier to reinforce our Wytch at the Arcamech.  This gives us the required 7 power we'll need to capture it later."
    
    c "So if things go right we might be able to capture it this round!  After deploying we draw back up again."
    
    show fader at truecenter zorder 12:
    with dissolve 
    
    show px_bewitchsm at truecenter zorder 13:
    with dissolve
    
    c "We got the spell card Bewitch."
    
    hide px_bewitchsm
    hide fader
    with dissolve
    
    show cardback as grem3:
        xalign .5 yalign -.1
        linear 1.0 xalign .5 yalign .01
    
    c "Gremlins deploy their minion to the Tanglethorn rune."
    
    show cardback as pix4:
        xalign .12 yalign 1    
        linear 1.0 xalign .12 yalign .9

    c "I play our Packrats at the Trufflevale location.  They can act as a decoy or be used to help reinforce another location later because of their mobile and bolster {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a}."

    show fader at truecenter zorder 12:
    with dissolve 

    show px_druwytch at truecenter zorder 13:
    with dissolve    
    
    c "We draw back up and get a Druwytch minion."
    
    hide px_druwytch
    hide fader
    with dissolve
    
    show cardback as grem4:
        xalign .88 yalign -.1
        linear 1.0 xalign .88 yalign .1      
    
    c "The Gremlins deploy a minion to the Arcamech."
    
    show cardback as pix5:
        xalign .88 yalign 1.15
        linear 1.0 xalign .88 yalign 1.05     
    
    c "I play our Shroomkin (a {a=http://www.anklebitersgame.com/rules.php#defensive}defender{/a}) to help protect the Arcamech.  I'm not sure what the gremlins deployed there but it must be trouble!"

    show fader at truecenter zorder 12:
    with dissolve 

    show px_blink at truecenter zorder 13:
    with dissolve
    
    c "We draw back up and get another Blink {a=http://www.anklebitersgame.com/rules.php#actioncards}action card{/a}."
    
    hide px_blink
    hide fader
    with dissolve
    
    show cardback as grem5:
        xalign .5 yalign -.15
        linear 1.0 xalign .5 yalign -.08       
    
    c "The Gremlins deploy their final minion to the Tanglethorn rune.  That concludes the second {a=http://www.anklebitersgame.com/rules.php#deploymentphase}deployment phase{/a}."
    
    c "We now move on to our second {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a} and flip over our deployed minions."
    
    show actionphase at truecenter zorder 11:
    with dissolve
    
    show shade as pix3
    with dissolve
    
    show shroomkin as pix5
    with dissolve
    
    show packrats as pix4
    with dissolve
    
    show smoglings as grem4
    with dissolve
    
    show grengineer as grem3
    with dissolve
    
    show glub as grem5
    with dissolve
    
    hide actionphase
    with dissolve
    
    c "Normally it's a good idea to stack your minions so that their key stats and {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a} are visible along the bottom bar. Like how the Gremlins at Tanglethorn, {i}the middle Rune,{/i} are stacked now."
    
    c "If you have enough space, one after another works well too.  Since our space here is a lot more limited we can spread them out a little more."
    
    show shroomkin as pix5:
        xalign .88 yalign 1.05
        linear 1.0 xalign .75 yalign .85
        
    show shade as pix3:
        xalign .88 yalign .97
        linear 1.0 xalign .98 yalign .85 
        
    show wytch as pix1:
        xalign .88 yalign .9
        linear 1.0 xalign .88 yalign .95

    show glub as grem5:
        xalign .5 yalign -.08
        linear 1.0 xalign .6 yalign .01

    show grengineer as grem3:
        xalign .5 yalign .01
        linear 1.0 xalign .4 yalign .01
    
    c "There. All the important minion attributes are visible now.  Of course on a real table you'll have a lot more space than I do here!"
    
    c "This time we get to go first.  The Gremlins have a pretty good setup at Tanglethorn now. Their Glub is a powerful {a=http://www.anklebitersgame.com/rules.php#defensive}defender{/a}. One that our Trickster can't overpower."
    
    c "But it's the lone Smoglings they played at the Arcamech that concern me the most.  It seems suicide at first glance. But Smoglings can activate gremlin gadgets!"
    
    c "Gadgets are their version of our spell cards and there's one that really scares me right now, 'Scorched Earth.'"
    
    show fader at truecenter zorder 12:
    with dissolve     
    
    show gr_scorched at truecenter zorder 13:
    with dissolve    
    
    c "The Scorched Earth gadget wipes out all minions and even the location itself.  The Gremlins would lose one minor minion in exchange for taking out 3 of ours."
    
    hide gr_scorched
    hide fader
    with dissolve    
    
    c "Not to mention we're in good shape to capture the Arcamech this round!  Now I'm not totally sure the Gremlins even have Scorched Earth in their hand.  This whole thing could be a bluff!"
    
    c "But it's a risk I'm not willing to take.  Unfortunately we can't attack the Smoglings because we lack a minion with the perceptive {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} there.  We have no trap cards left either."
    
    show fader at truecenter zorder 12:
    with dissolve     
    
    show px_bewitchsm at truecenter zorder 13:
    with dissolve
    
    c "We do have that Bewitch Spell though!"
    
    c "Bewitch reads: 'Choose a casting source then:  Gain control of a minion whose health does not exceed your magic level.'"
    
    c "Our Wytch will be our casting source again.  She has a magic level of 3.  The Smoglings only have 1 health.  Stealth only protects the Smoglings from attacks, not spells."

    hide px_bewitchsm
    hide fader
    with dissolve
    
    show bewitch:
        xalign .88 yalign .02
    with dissolve
    
    c "So for {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} we cast Bewitch on the Smoglings using our Wytch. Bewitch is an ongoing effect so as long as our Bewitch Spell stays in play, the Smoglings remain under our control!"
    
    show fader at truecenter zorder 12:
    with dissolve    
    
    show px_blink at truecenter zorder 13:
    with dissolve
    
    c "Feeling more confident about our situation at the Arcamech I decide to send our Shroomkin to backup our Trickster using the Blink {a=http://www.anklebitersgame.com/rules.php#actioncards}action card{/a}. That uses up our remaining {a=http://www.anklebitersgame.com/rules.php#actions}AP{/a}."
    
    hide px_blink
    with dissolve
    
    hide fader
    with dissolve
    
    show shroomkin as pix5 zorder 11:
        xalign .5 yalign .8
    with move
    
    c "We draw 2 cards this time, so that we're back up to 8 total in our hand.  Then we end our turn."
    
    show fader at truecenter zorder 12:
    with dissolve
    
    show px_magicstrike zorder 13:
        xalign .35 yalign .5
    with dissolve

    show px_skyknight zorder 13:
        xalign .65 yalign .5
    with dissolve
    
    c "We got a Magic Strike spell and the Sky Knight minion!"
    
    hide px_magicstrike
    hide px_skyknight    
    with dissolve
    
    hide fader
    with dissolve
    
    c "It's the Gremlins' turn now."
    
    show ganksterz as grem2:
        xalign .12 yalign .1
    with move
    
    c "The Gremlins move their mobile Ganksterz to Trufflevale for {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a}.  I think I know what's coming next..."
    
    show ganksterz as grem2 zorder 10:
        xalign .12 yalign .5
    with move
    
    show atkcloud zorder 11:
        xalign .08 yalign .5
    with dissolve
    with vpunch
    
    hide atkcloud
    hide packrats as pix4
    with dissolve
    
    show ganksterz as grem2:
        xalign .12 yalign .1
    with move    
    
    c "Poor Packrats. :( "
    
    c "Spending their remaining {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} the Gremlins attack and defeat our Packrats with their Ganksterz. That ends their turn."
    
    c "It's now our final turn in the phase.  While going first has its benefits, we need to make sure we hinder the Gremlins as much as possible. They'll still have one more turn after us where they can try to stop us from capturing the Arcamech."
    
    c "The Smoglings are still under our control which gives us 8 power at the Arcamech and we only need 7.  The Grengineer is a nice target, but we'll have to get through the Glub first to attack him."
    
    c "But now that our Shroomkin is at the Tanglethorn location, our Trickster benefits from their {b}support{/b} {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}.  Support grants +1 power to all other minions when attacking at the same location." 

    c "Since our Trickster has a power of 3, with the Shroomkin's support bonus we can attack at a power of 4. That's just enough to bring down the tough Glub defenders."     
    
    c "I have our Trickster attack the Glub while benefiting from the Shroomkin's support {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a}. This deals 4 damage and defeats the Glub minion! This action costs us {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a}."

    show trickster as pix2 zorder 10:
        xalign .6 yalign .2
    with move
    
    show atkcloud zorder 11:
        xalign .61 yalign .13
    with dissolve
    with vpunch
    
    hide atkcloud
    hide glub as grem5
    with dissolve
    
    pause 1
    
    show trickster as pix2:
        xalign .5 yalign .9
    with move 

    c "With the Glub defeated the Grengineer is now vulnerable to attack!  However as a hard rule we're only allowed one attack per turn."
    
    c "So unfortunately we can't just attack again.  We still have {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} left though, and we did get that second Magic Strike earlier."
    
    c "Since Magic Strike is a spell, it isn't limited by our 1 attack per turn limit.  But unfortunately it still can't help us here."
    
    c "Our Trickster is a spell caster but only has a magic level of 2.  If we play magic strike with her, it would only deal 2 damage to the Grengineer.  Not enough to defeat its 3 health."
    
    c "The Shroomkin support {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} won't help us here because Magic Strike isn't an attack."
    
    c "We could play our Mirage card, but I'd much rather keep it for a pivitol moment."
    
    c "Since there's no other play to make we could end our turn.  But as we still have 8 cards in our hand we wouldn't get to draw anything this turn. So instead..."
    
    c "With our remaining {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a} we can take the {b}Draw{/b} action.  This action lets us draw a card and is not limited by our hand size of 8. This will let us have 9 cards in our hand."
    
    show fader at truecenter zorder 12:
    with dissolve     
    
    show px_entangle at truecenter zorder 13:
    with dissolve   
    
    c "We drew another Entanglement trap!"
    
    hide px_entangle
    hide fader
    with dissolve
    
    c "That ends our turn. Let's hope the Gremlins aren't able to stop us this time."
    
    c "The Gremlins play the Watchtower gadget card to Tanglethorn for {a=http://www.anklebitersgame.com/rules.php#actions}1AP{/a}.  Watchtower is an ongoing gadget card that effects the whole location.  Gremlins have a few cards like that."
    
    show watchtower as grem5:
        xalign .6 yalign .01
    with dissolve
    
    c "Watchtower in particular will grant all the gremlin minions at that location the perceptive and counterstrike {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a}.  Our stealth minions won't be safe there now."
    
    show ganksterz as grem2:
        xalign .5 yalign .1
    with move    
    
    c "For their remaining {a=http://www.anklebitersgame.com/rules.php#actions}AP{/a} the Gremlins decide to move their Ganksterz back to the Tanglethorn rune."
    
    c "That ends round two's {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a} and we proceed on to the {a=http://www.anklebitersgame.com/rules.php#capturephase}Capture phase{/a}."
    
    show capturephase at truecenter zorder 11
    with dissolve
    
    c "Yay!! This time we'll be able to capture the Arcamech."
    
    hide capturephase
    with dissolve
    
    c "Since we have a total of 8 combined power and at least 1 minion with the magic {a=http://www.anklebitersgame.com/rules.php#abilities}ability{/a} all at the Arcamech, we're able to capture it now."
    
    hide rune3
    with dissolve
    
    c "The newly captured rune is placed in front of the player who captured it.  In this case, us!  All minions and ongoing effects at that location are now discarded to their appropriate owners' Discard Pile."
    
    hide pix3
    hide pix1
    with dissolve
    
    c "Even though the Smoglings were under our control, now that they're out of play they'd go into the Gremlins' Discard Pile, not ours."

    hide bewitch
    hide grem4
    with dissolve

    c "We're one rune away from summoning the magnificent and wonderful Wolpertinger (and winning!)"
    
    c "Before we continue on to the 3rd {a=http://www.anklebitersgame.com/rules.php#deploymentphase}Deployment phase{/a}, we need to replace the Arcamech rune that we captured with a new one from the rune location deck."
    
    show rune4 at mid_right
    with dissolve
    
    c "We drew the Hive to replace it."
    
    c "The game continues on in this cycle of phases until one player manages to capture 2 rune locations. (Or 3 if we were playing an epic match.)"
    
    scene mushroom_forest
    with fade
    
    show Cindel animated at center_float
    
    c "I'd love to go through the whole game! But sadly my script isn't that long. Besides, from this point on it's just a matter of continuing through the phases as we have been."

    c "Let's recap quickly."
    
    c "Every new round alternate who goes first. Start a new round with the {a=http://www.anklebitersgame.com/rules.php#deploymentphase}Deployment phase{/a}."
    
    c "{b}Deployment Phase:{/b} Each player gets 3 turns in this phase alternating one after another.  Each player can deploy 1 minion per turn.  Each player can draw back up to 8 cards at the end of their turn."
    
    c "After every player has had their turn, move on to the {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a} and flip over any newly deployed minions."
    
    c "{b}Action Phase:{/b} Each player gets 2 turns in this phase alternating one after another.  Each player gets {a=http://www.anklebitersgame.com/rules.php#actions}2AP{/a} per turn to execute actions. Each player may draw back up to 8 cards in hand, at the end of a turn."

    c "Once everyone has had their 2 turns in the {a=http://www.anklebitersgame.com/rules.php#actionphase}Action phase{/a}, move on to the {a=http://www.anklebitersgame.com/rules.php#capturephase}Capture phase{/a}."
    
    c "{b}Capture Phase:{/b} The sole purpose of this phase is to check and see if any player meets the requirements to capture a rune location."
    
    c "There's no order to who captures something first. If both players are able to capture a different location then they both do so at the same time."
    
    c "If this ends up causing a tie game, the player with the most 'Home' locations ({i}Shroomshire and/or Kegtown{/i}) wins.  If that still doesn't settle the tie, simply continue playing until someone captures another rune location."
    
    c "If you're short on time you can always just give each other a nod or bow, accept that you're equally matched and plan a rematch for another time!"
    
    c "However if both players meet the requirements to capture the same rune location, the player who has minions with a greater number of matching {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a} captures it."
    
    c "If both players have minions with an equal amount of matching {a=http://www.anklebitersgame.com/rules.php#abilities}abilities{/a}, then neither player captures it. The rune location remains contested for another round until only one player has the requirements for capture."
    
    c "That covers the Anklebiters Pixies VS Gremlins How to Play Tutorial!"
    
    c "For further details, descriptions, rulings or definitions check the rules booklet in your game box or visit {a=http://www.anklebitersgame.com}anklebitersgame.com{/a}"

    c "Hopefully the Hero characters (like me!) were unlocked during the Kickstarter and we'll see each other again soon in the game!"

    show Cindel animated at left_float
    with move
    show gremlin_main at right
    with vpunch
    
    s "{b}YAAZ!{/b} And maybeez youz be even more smartz and play da Gremlinz wif da likez of meez!"
    
    c "...Until next time!"

    label end:
    
    # This ends the game.

    return
